System.Web 2.0.0.0 System.Configuration.ConfigurationElement

objects specify custom classes that extend the class. These custom transformer classes act as bridges between Web Parts, translating data between Web Parts with incompatible connection points.

Specifies a custom class that extends the class for use by Web Part connections.

- Constructor

  The configuration system does not validate the specified type to ensure that a valid type name is used.

  Initializes a new instance of the class with the specified name and type reference.

  The name of this transformer type.
  A reference to a type that extends the transformer class.
  2.0.0.0
- Method
  System.Boolean `` To be added.

  Compares the current object to another object.

  true if the passed object is equal to the current object; otherwise, false.

  The object to compare to the current object. 2.0.0.0
- Method
  System.Int32 To be added.

  Generates a hash code for the collection.

  Unique integer hash code for the current object.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("name", DefaultValue="", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added. To be added.

  Gets or sets a friendly name for a type that that extends the class.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("type", DefaultValue="", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added.

  The configuration system does not validate the specified type to ensure that a valid type name is used. However, invalid types will cause exceptions when Web pages are loaded.

  Gets or sets the type reference for a class that extends the class.

  2.0.0.0